Bug 1277237 - [abrt] git-cola: browse.py:606:add_directory:TypeError: unhashable type: 'QStandardItem'
[abrt] git-cola: browse.py:606:add_directory:TypeError: unhashable type: 'QSt...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:350e5584713e0f00ce51af8fef8...
:
: 1313061 1320481 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 13:40 EST by Paulo Fidalgo
Modified: 2016-07-19 14:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (970 bytes, text/plain)
2015-11-02 13:40 EST, Paulo Fidalgo
no flags Details
File: environ (4.28 KB, text/plain)
2015-11-02 13:40 EST, Paulo Fidalgo
no flags Details

  None (edit)
Description Paulo Fidalgo 2015-11-02 13:40:14 EST
Description of problem:
I just selected "Browse current branch" from the menu

Version-Release number of selected component:
git-cola-2.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /bin/git-cola
executable:     /bin/git-cola
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
browse.py:606:add_directory:TypeError: unhashable type: 'QStandardItem'

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/guicmds.py", line 49, in browse_current
    BrowseDialog.browse(branch)
  File "/usr/share/git-cola/lib/cola/widgets/browse.py", line 411, in browse
    dlg_model = GitTreeModel(ref, dlg)
  File "/usr/share/git-cola/lib/cola/widgets/browse.py", line 649, in __init__
    self._initialize()
  File "/usr/share/git-cola/lib/cola/widgets/browse.py", line 670, in _initialize
    self.add_directory(parent, relpath)
  File "/usr/share/git-cola/lib/cola/widgets/browse.py", line 606, in add_directory
    row = self.dir_rows[parent]
TypeError: unhashable type: 'QStandardItem'

Local variables in innermost frame:
row_items: [<cola.widgets.browse.GitTreeItem object at 0x7f46a01dcd38>]
self: <cola.widgets.browse.GitTreeModel object at 0x7f46a196e678>
parent: <PyQt4.QtGui.QStandardItem object at 0x7f46a196e708>
path: '.cloud66'
Comment 1 Paulo Fidalgo 2015-11-02 13:40:18 EST
Created attachment 1088671 [details]
File: backtrace
Comment 2 Paulo Fidalgo 2015-11-02 13:40:20 EST
Created attachment 1088672 [details]
File: environ
Comment 3 David Aguilar 2016-03-26 03:21:18 EDT
Hello. This was fixed back in v2.4.  We are already at v2.5, and will release v2.6 soon.
Comment 4 Fedora Admin XMLRPC Client 2016-05-05 12:26:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2016-05-05 12:34:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Nikos Roussos 2016-05-06 13:55:14 EDT
*** Bug 1313061 has been marked as a duplicate of this bug. ***
Comment 7 Nikos Roussos 2016-05-06 13:55:41 EDT
*** Bug 1320481 has been marked as a duplicate of this bug. ***
Comment 8 Nikos Roussos 2016-05-06 14:03:14 EDT
This seems fixed on later versions
https://github.com/git-cola/git-cola/commit/e2b35e86f15b72ac19e228744dfab86a7c5160cd
Comment 9 Fedora End Of Life 2016-07-19 14:24:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.